Skip to main content
Resource Center/Hardware/Host Operations/Hygon SE Operations
PUTHygon SE OperationsSince 5.5.0SynchronousAuth Required

GenerateHygonMdevDevices

GenerateHygonMdevDevices

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • hostUuidStringRequired

    The host UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • generatehygonmdevdevicesObjectRequired

    generatehygonmdevdevices request body object.

    • maxQemuNumIntegerRequired

      Specifies how many virtual devices (MDEV) each physical CCP card should create for QEMU VM instances. max_qemu_num=128 means each CCP generates 128 MDEV devices for VM instances.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/hygon-devices/{hostUuid}/actions

/zstack/v1/hygon-devices/{hostUuid}/actions

Operation ID

GenerateHygonMdevDevices

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hygon-devices/{hostUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"],"generatehygonmdevdevices":{"maxQemuNum":1}}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history